import { AfterViewInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { KbqTooltipTrigger } from '@koobiq/components/tooltip';
import { KbqTimezoneOption } from './timezone-option.component';
import * as i0 from "@angular/core";
export declare const TOOLTIP_VISIBLE_ROWS_COUNT = 3;
export declare class KbqTimezoneOptionTooltip extends KbqTooltipTrigger implements AfterViewInit, OnDestroy {
    private changeDetectorRef;
    private option;
    private resizeObserver;
    private resizeObserverSubscription;
    constructor(changeDetectorRef: ChangeDetectorRef, option: KbqTimezoneOption);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onMouseEnter(): void;
    onMouseLeave(): void;
    private checkTooltipDisabled;
    static ɵfac: i0.ɵɵFactoryDeclaration<KbqTimezoneOptionTooltip, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<KbqTimezoneOptionTooltip, "kbq-timezone-option", never, {}, {}, never, never, false, never>;
}
